// jest-dom adds custom jest matchers for asserting on DOM nodes.
// allows you to do things like:
// expect(element).toHaveTextContent(/react/i)
// learn more: https://github.com/testing-library/jest-dom
import '@testing-library/jest-dom/extend-expect';
import {configure} from '@testing-library/react';

require('jest-fetch-mock').enableMocks();

/**
 * fix: `matchMedia` not present, legacy browsers require a polyfill
 */
global.matchMedia =
  global.matchMedia ||
  function match() {
    return {
      matches: false,
      addListener() {},
      removeListener() {},
    };
  };

// @ts-ignore
window.ResizeObserver =
  // @ts-ignore
  window.ResizeObserver ||
  jest.fn().mockImplementation(() => ({
    disconnect: jest.fn(),
    observe: jest.fn(),
    unobserve: jest.fn(),
  }));

configure({testIdAttribute: 'data-cy'});
